<?php
function Addition($i,$j)
{$res=$i+$j;
 return $res;
}
function Soustraction($i,$j)
{$res=$i-$j;
 return $res;
}
echo "Entrez 2 entiers : ";
fscanf(STDIN,"%d %d",$a,$b);
echo "Entrez une opération (+ ou -) : ";
fscanf(STDIN,"%s",$ope);
// Sélection de la fonction
if ($ope=="+") $fonction='Addition';
else $fonction='Soustraction';
// Appel de la fonction variable
echo "--- Appel de  $fonction($a,$b) ---".PHP_EOL;
$resultat=$fonction($a,$b);
echo "$a $ope $b = $resultat".PHP_EOL ;
?>
